var preClassName = ""; 
function list_sub_detail(Id, item) 
{ 
if(preClassName != "") 
{ 
getObject(preClassName).className = "left_back" 
} 
if(getObject(Id).className == "left_back") 
{ 
getObject(Id).className = "left_back_onclick"; 
outlookbar.getbyitem(item); 
preClassName = Id 
} 
} 
function getObject(objectId) 
{ 
if(document.getElementById && document.getElementById(objectId)) 
{ 
return document.getElementById(objectId) 
} 
else if(document.all && document.all(objectId)) 
{ 
return document.all(objectId) 
} 
else if(document.layers && document.layers[objectId]) 
{ 
return document.layers[objectId] 
} 
else 
{ 
return false 
} 
} 
function outlook() 
{ 
this.titlelist = new Array(); 
this.itemlist = new Array(); 
this.addtitle = addtitle; 
this.additem = additem; 
this.getbytitle = getbytitle; 
this.getbyitem = getbyitem; 
this.getdefaultnav = getdefaultnav 
} 
function theitem(intitle, insort, inkey, inisdefault) 
{ 
this.sortname = insort; 
this.key = inkey; 
this.title = intitle; 
this.isdefault = inisdefault 
} 
function addtitle(intitle, sortname, inisdefault) 
{ 
outlookbar.itemlist[outlookbar.titlelist.length] = new Array(); 
outlookbar.titlelist[outlookbar.titlelist.length] = new theitem(intitle, sortname, 0, inisdefault); 
return(outlookbar.titlelist.length - 1) 
} 
function additem(intitle, parentid, inkey) 
{ 
if(parentid >= 0 && parentid <= outlookbar.titlelist.length) 
{ 
insort = "item_" + parentid; 
outlookbar.itemlist[parentid][outlookbar.itemlist[parentid].length] = new theitem(intitle, insort, inkey, 0); 
return(outlookbar.itemlist[parentid].length - 1) 
} 
else additem = - 1 
} 
function getdefaultnav(sortname) 
{ 
var output = ""; 
for(i = 0; i < outlookbar.titlelist.length; i ++ ) 
{ 
if(outlookbar.titlelist[i].isdefault == 1 && outlookbar.titlelist[i].sortname == sortname) 
{ 
output += "<div class=list_tilte id=sub_sort_" + i + " onclick=\"hideorshow('sub_detail_"+i+"')\">"; 
output += "<span>" + outlookbar.titlelist[i].title + "</span>"; 
output += "</div>"; 
output += "<div class=list_detail id=sub_detail_" + i + "><ul>"; 
for(j = 0; j < outlookbar.itemlist[i].length; j ++ ) 
{ 
output += "<li id=" + outlookbar.itemlist[i][j].sortname + j + " onclick=\"changeframe('"+outlookbar.itemlist[i][j].title+"', '"+outlookbar.titlelist[i].title+"', '"+outlookbar.itemlist[i][j].key+"')\"><img src='images/direct_blue.gif'><a href=#>" + outlookbar.itemlist[i][j].title + "</a></li>" 
} 
output += "</ul></div>" 
} 
} 
getObject('right_main_nav').innerHTML = output 
} 
function getbytitle(sortname) 
{ 
var output = "<ul>"; 
for(i = 0; i < outlookbar.titlelist.length; i ++ ) 
{ 
if(outlookbar.titlelist[i].sortname == sortname) 
{ 
output += "<li id=left_nav_" + i + " onclick=\"list_sub_detail(id, '"+outlookbar.titlelist[i].title+"')\" class=left_back>" + outlookbar.titlelist[i].title + "</li>" 
} 
} 
output += "</ul>"; 
getObject('left_main_nav').innerHTML = output 
} 
function getbyitem(item) 
{ 
var output = ""; 
for(i = 0; i < outlookbar.titlelist.length; i ++ ) 
{ 
if(outlookbar.titlelist[i].title == item) 
{ 
output = "<div class=list_tilte id=sub_sort_" + i + " onclick=\"hideorshow('sub_detail_"+i+"')\">"; 
output += "<span>" + outlookbar.titlelist[i].title + "</span>"; 
output += "</div>"; 
output += "<div class=list_detail id=sub_detail_" + i + " style='display:block;'><ul>"; 
for(j = 0; j < outlookbar.itemlist[i].length; j ++ ) 
{ 
output += "<li id=" + outlookbar.itemlist[i][j].sortname + "_" + j + " onclick=\"changeframe('"+outlookbar.itemlist[i][j].title+"', '"+outlookbar.titlelist[i].title+"', '"+outlookbar.itemlist[i][j].key+"')\"><img src='images/direct_blue.gif'><a href=#>" + outlookbar.itemlist[i][j].title + "</a></li>" 
} 
output += "</ul></div>" 
} 
} 
getObject('right_main_nav').innerHTML = output 
} 
function changeframe(item, sortname, src) 
{ 
if(item != "" && sortname != "") 
{ 
window.top.frames['mainFrame'].getObject('show_text').innerHTML = sortname + "  &raquo;  " + item 
} 
if(src != "") 
{ 
window.top.frames['manFrame'].location = src 
} 
} 
function hideorshow(divid) 
{ 
subsortid = "sub_sort_" + divid.substring(11); 
if(getObject(divid).style.display == "none") 
{ 
getObject(divid).style.display = "block"; 
getObject(subsortid).className = "list_tilte" 
} 
else 
{ 
getObject(divid).style.display = "none"; 
getObject(subsortid).className = "list_tilte_onclick" 
} 
} 
function initinav(sortname) 
{ 
outlookbar.getdefaultnav(sortname); 
outlookbar.getbytitle(sortname); 
//window.top.frames['manFrame'].location = "manFrame.html" 
}

function printLoginUserName(){
var arr = document.cookie.match(new RegExp("(^| )strUser4Deepsoon=([^;]*)(;|$)"));
var name = unescape(arr[2]); 
getObject('loginUserName').innerHTML = decodeURIComponent(name);
}

var outlookbar=new outlook();
var t;
t=outlookbar.addtitle('栏目管理','文章系统',1);
outlookbar.additem('管理栏目树',t,'DeepSoonTree.aspx');

t=outlookbar.addtitle('文章管理','文章系统',1);
outlookbar.additem('发布文章',t,'DeepSoonArticleAdd.aspx');
outlookbar.additem('我的文章',t,'DeepSoonMyArticle.aspx');
outlookbar.additem('待审核文章',t,'DeepSoonArticleUnchecked.aspx');
outlookbar.additem('管理文章树',t,'DeepSoonArticleTree.aspx');
outlookbar.additem('文章回收站',t,'DeepSoonArticleRecycle.aspx');

t=outlookbar.addtitle('评论管理','文章系统',1);
outlookbar.additem('评论设置',t,'DeepSoonCommentSetting.aspx');
outlookbar.additem('评论管理',t,'DeepSoonComment.aspx');

t=outlookbar.addtitle('系统设置','管理首页',1);
outlookbar.additem('网站首选项',t,'DeepSoonPreference.aspx');
outlookbar.additem('友情链接管理',t,'DeepSoonLinks.aspx');
outlookbar.additem('系统操作日志',t,'DeepSoonLog.aspx');
outlookbar.additem('主题风格管理',t,'DeepSoonTheme.aspx');

t=outlookbar.addtitle('说说管理','管理首页',1);
outlookbar.additem('说说设置',t,'DeepSoonFeedBackSetting.aspx');
outlookbar.additem('说说管理',t,'DeepSoonFeedBack.aspx');

t=outlookbar.addtitle('邮件管理','管理首页',1);
outlookbar.additem('邮件设置',t,'DeepSoonMailSetting.aspx');

t=outlookbar.addtitle('版权信息','管理首页',1);
outlookbar.additem('用户帮助手册',t,'deepSoonHelp.aspx');
outlookbar.additem('关于地平线...',t,'deepSoonAbout.aspx');

t=outlookbar.addtitle('账户管理','会员系统',1);
outlookbar.additem('账户管理',t,'DeepSoonPWD.aspx');
outlookbar.additem('会员系统设置',t,'DeepSoonDefaulPage.aspx');

t=outlookbar.addtitle('广告设置','广告管理',1);
outlookbar.additem('全站顶栏广告',t,'deepSoonAdAdmin.aspx?AdPos=indexTop&AdName=全站顶栏广告');
outlookbar.additem('首页左栏广告',t,'deepSoonAdAdmin.aspx?AdPos=indexLeft&AdName=首页左栏广告');
outlookbar.additem('正文右栏广告',t,'deepSoonAdAdmin.aspx?AdPos=viewRight&AdName=正文右栏广告');
